
Redmine - Patch #35081

Update config/environments/*.rb for Rails 6.1

2021-04-13 04:21 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 5.0.0   

Description

The attached patch updates Rails environment files (development.rb, production.rb, and test.rb in config/environments directory) for

Rails 6.1.

By updating the files, several useful new features in Rails 6.1 will be available (e.g. request_id in production.log, verbose_query_logs

in development.log). Also, by looking at the commented out settings, the user can easily know what settings are available (e.g.

config.force_ssl in config/environments/production.rb).

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 21343 - 2022-01-03 03:23 - Go MAEDA

RuboCop: Disable Rails/FilePath and Style/GlobalStdStream (#35081).

Revision 21344 - 2022-01-03 03:29 - Go MAEDA

Update config/environments/*.rb for Rails 6.1 (#35081).

History

#1 - 2021-04-13 04:22 - Go MAEDA

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2021-04-13 11:07 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#3 - 2021-07-04 18:42 - Marius BĂLTEANU

- Assignee deleted (Marius BĂLTEANU)

The patch adds two settings in config/environments/production.rb which are already defined in config/application.rb with the same value:

config.log_level = :info already defined in source:/trunk/config/application.rb#L77

config.i18n.fallbacks = true already defined in source:/trunk/config/application.rb#L57

Also, even commented, I don't think that we should settings add which are not working in the current context, for example, enabling

config.assets.css_compressor = :sass it will break Redmine (at least in my local environment).

#4 - 2021-12-30 03:44 - Go MAEDA

- File 0001-RuboCop-Disable-Style-GlobalStdStream-and-Rails-File.patch added

- File 0002-Update-config-environments-.rb-for-Rails-6.1.patch added

Marius BALTEANU wrote:

The patch adds two settings in config/environments/production.rb which are already defined in config/application.rb with the same value:

config.log_level = :info already defined in source:/trunk/config/application.rb#L77

config.i18n.fallbacks = true already defined in source:/trunk/config/application.rb#L57

 Fixed.
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/application.rb#L77
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/application.rb#L57
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/application.rb#L77
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/application.rb#L57


Also, even commented, I don't think that we should settings add which are not working in the current context, for example, enabling

config.assets.css_compressor = :sass it will break Redmine (at least in my local environment).

 I checked through configs in the files and removed config.assets.* in config/environments/development.rb and config/environments/production.rb.

Thank you for reviewing the patch.

#5 - 2021-12-30 03:45 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#6 - 2022-01-03 03:30 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patches.

Files

0001-RuboCop-Disable-Style-GlobalStdStream-and-Rails-File.patch949 Bytes 2021-04-13 Go MAEDA

0002-Update-config-environments-.rb-for-Rails-6.1.patch 12.5 KB 2021-04-13 Go MAEDA

0001-RuboCop-Disable-Style-GlobalStdStream-and-Rails-File.patch845 Bytes 2021-12-30 Go MAEDA

0002-Update-config-environments-.rb-for-Rails-6.1.patch 11.6 KB 2021-12-30 Go MAEDA
